var preload = function(game)
{
	var LoadingText;
}

preload.prototype = 
{
	preload: function()
	{//add the background image and Logo for the loading screen
		this.stage.backgroundColor = "FFFFFF";
		Background = this.add.image(0,-.5,"background");
		Logo = this.add.sprite(this.world.centerX,this.world.centerY,"logo");
		Logo.anchor.setTo(0.5,0.5);
		Logo.scale.setTo(1.3,1.3);

		//this.load.image("ref","ref.png");
		
		//audio
		this.load.audio("backgroundmusic","audio/sound1.mp3");

		/*we call the FileComplete function to track if all assets that
		we want to load are finished loading*/
		this.load.onFileComplete.add(this.FileComplete,this);

		//Load all the images and audio that will be used in the game

		this.load.image("intro_character","img/title_screen/intro_character.png");
		this.load.image("title","img/title_screen/title.png");

		//character assets
		
		this.load.image("bra","img/character/bra.png");
		this.load.image("face_details","img/character/face_details.png");
		this.load.image("panties","img/character/panties.png");
		this.load.image("shadow","img/character/shadow.png");

		/*this.load.spritesheet("body","img/character/body/body.png",349,447,12);
		this.load.spritesheet("head","img/character/body/head.png",240,224,12);*/

		this.load.image("body","img/character/body/body.png");
		this.load.image("body_outline","img/character/body/body_outline.png");
		this.load.image("head","img/character/body/head.png");
		this.load.image("head_outline","img/character/body/head_outline.png");


		//bang
		//this.load.atlas("bangs","img/character/bangs/bangs.png","img/character/bangs/bangs.json");
		//this.load.atlas("bangs_outline","img/character/bangs/bangs_outline.png","img/character/bangs/bangs_outline.json");
		

		//bang_hl
		//this.load.atlas("bang_hl","img/character/bang_hl/bang_hl.png","img/character/bang_hl/bang_hl.json");
	

		//bottoms
		this.load.atlas("bottoms","img/character/bottoms/bottoms.png","img/character/bottoms/bottoms.json");
		this.load.atlas("bottoms_outline","img/character/bottoms/bottoms_outline.png","img/character/bottoms/bottoms_outline.json");

		//cake
		//this.load.atlas("cake","img/character/cakes/cake.png","img/character/cakes/cake.json");
		//this.load.atlas("cake_outline","img/character/cakes/cake_outline.png","img/character/cakes/cake_outline.json");
		//this.load.image("tray","img/character/tray.png");
		

		//dress
		this.load.atlas("dress","img/character/dress/dress.png","img/character/dress/dress.json");
		this.load.atlas("dress_outline","img/character/dress/dress_outline.png","img/character/dress/dress_outline.json");
		

		//extras
		this.load.image("extras","img/character/extras/extras.png");
		this.load.image("extras_outline","img/character/extras/extras_outline.png");
		this.load.image("extras2","img/character/extras/extras2.png");
		this.load.image("extras2_outline","img/character/extras/extras2_outline.png");
		this.load.image("extras3","img/character/extras/extras3.png");
		this.load.image("extras3_outline","img/character/extras/extras3_outline.png");
		this.load.image("extras4","img/character/extras/extras4.png");
		this.load.image("extras4_outline","img/character/extras/extras4_outline.png");
		this.load.image("extras5","img/character/extras/extras5.png");
		this.load.image("extras5_outline","img/character/extras/extras5_outline.png");
		this.load.image("extras6","img/character/extras/extras6.png");
		this.load.image("extras6_outline","img/character/extras/extras6_outline.png");

		//eye_shadow
		this.load.atlas("eye_shadow","img/character/eye_shadow/eye_shadow.png","img/character/eye_shadow/eye_shadow.json");
	

		//eyebrows
		this.load.atlas("eyebrows","img/character/eyebrows/eyebrows.png","img/character/eyebrows/eyebrows.json");

		//eyes
		this.load.atlas("eyes","img/character/eyes/eyes.png","img/character/eyes/eyes.json");
		this.load.atlas("eyes_white","img/character/eyes/eyes_white.png","img/character/eyes/eyes_white.json");
		

		//hair
		this.load.atlas("hair","img/character/hair/hair.png","img/character/hair/hair.json");
		this.load.atlas("hair_outline","img/character/hair/hair_outline.png","img/character/hair/hair_outline.json");
		

		//hair_hl
		this.load.atlas("hair_hl","img/character/hair_hl/hair_hl.png","img/character/hair_hl/hair_hl.json");
		

		//lips
		this.load.atlas("lips","img/character/lips/lips.png","img/character/lips/lips.json");
		this.load.atlas("lips_outline","img/character/lips/lips_outline.png","img/character/lips/lips_outline.json");
	
		//shoes
		this.load.atlas("shoes","img/character/shoes/shoes.png","img/character/shoes/shoes.json");
		this.load.atlas("shoes_outline","img/character/shoes/shoes_outline.png","img/character/shoes/shoes_outline.json");
		

		//socks
		this.load.atlas("socks","img/character/socks/socks.png","img/character/socks/socks.json");
		this.load.atlas("socks_outline","img/character/socks/socks_outline.png","img/character/socks/socks_outline.json");
	

		//teeth
		//this.load.atlas("teeth","img/character/teeth/teeth.png","img/character/teeth/teeth.json");
		

		//tops
		this.load.atlas("tops","img/character/tops/tops.png","img/character/tops/tops.json");
		this.load.atlas("tops_outline","img/character/tops/tops_outline.png","img/character/tops/tops_outline.json");
	
		//dress up screen
		this.load.image("border","img/dressup/border.png");
		this.load.image("hit_box","img/dressup/hit_box.png");	

		//dress up buttons
		/*I use spritesheet for these buttons to have a idle,mouse over and click effect*/

		/*this.load.atlas("bang_icon","img/dressup/bangs_icon/bangs_icon.png","img/dressup/bangs_icon/bangs_icon.json");
		this.load.atlas("bang_icon2","img/dressup/bangs_icon/bangs_icon2.png","img/dressup/bangs_icon/bangs_icon2.json");
		this.load.atlas("bang_icon3","img/dressup/bangs_icon/bangs_icon3.png","img/dressup/bangs_icon/bangs_icon3.json");
		this.load.atlas("bang_icon4","img/dressup/bangs_icon/bangs_icon4.png","img/dressup/bangs_icon/bangs_icon4.json");
		this.load.atlas("bang_icon5","img/dressup/bangs_icon/bangs_icon5.png","img/dressup/bangs_icon/bangs_icon5.json");
		this.load.atlas("bang_icon6","img/dressup/bangs_icon/bangs_icon6.png","img/dressup/bangs_icon/bangs_icon6.json");*/

		this.load.atlas("bottoms_icon","img/dressup/bottoms_icon/bottoms_icon.png","img/dressup/bottoms_icon/bottoms_icon.json");
		this.load.atlas("bottoms_icon2","img/dressup/bottoms_icon/bottoms_icon2.png","img/dressup/bottoms_icon/bottoms_icon2.json");
		this.load.atlas("bottoms_icon3","img/dressup/bottoms_icon/bottoms_icon3.png","img/dressup/bottoms_icon/bottoms_icon3.json");
		this.load.atlas("bottoms_icon4","img/dressup/bottoms_icon/bottoms_icon4.png","img/dressup/bottoms_icon/bottoms_icon4.json");
		this.load.atlas("bottoms_icon5","img/dressup/bottoms_icon/bottoms_icon5.png","img/dressup/bottoms_icon/bottoms_icon5.json");
		this.load.atlas("bottoms_icon6","img/dressup/bottoms_icon/bottoms_icon6.png","img/dressup/bottoms_icon/bottoms_icon6.json");

		this.load.atlas("cake_icon","img/dressup/cake_icon/cake_icon.png","img/dressup/cake_icon/cake_icon.json");
		this.load.atlas("cake_icon2","img/dressup/cake_icon/cake_icon2.png","img/dressup/cake_icon/cake_icon2.json");
		this.load.atlas("cake_icon3","img/dressup/cake_icon/cake_icon3.png","img/dressup/cake_icon/cake_icon3.json");

		this.load.image("color_pallette","img/dressup/color_icon/color_icon.png");
		this.load.image("color_pallette2","img/dressup/color_icon/color_icon2.png");
		this.load.image("color_icon_btn","img/dressup/color_icon/color_icon_btn.png");

		this.load.atlas("dress_icon","img/dressup/dress_icon/dress_icon.png","img/dressup/dress_icon/dress_icon.json");
		this.load.atlas("dress_icon2","img/dressup/dress_icon/dress_icon2.png","img/dressup/dress_icon/dress_icon2.json");
		this.load.atlas("dress_icon3","img/dressup/dress_icon/dress_icon3.png","img/dressup/dress_icon/dress_icon3.json");
		this.load.atlas("dress_icon4","img/dressup/dress_icon/dress_icon4.png","img/dressup/dress_icon/dress_icon4.json");
		this.load.atlas("dress_icon5","img/dressup/dress_icon/dress_icon5.png","img/dressup/dress_icon/dress_icon5.json");
		this.load.atlas("dress_icon6","img/dressup/dress_icon/dress_icon6.png","img/dressup/dress_icon/dress_icon6.json");

		this.load.atlas("extra_icon","img/dressup/extra_icon/extra_icon.png","img/dressup/extra_icon/extra_icon.json");
		this.load.atlas("extra_icon2","img/dressup/extra_icon/extra_icon2.png","img/dressup/extra_icon/extra_icon2.json");
		this.load.atlas("extra_icon3","img/dressup/extra_icon/extra_icon3.png","img/dressup/extra_icon/extra_icon3.json");
		this.load.atlas("extra_icon4","img/dressup/extra_icon/extra_icon4.png","img/dressup/extra_icon/extra_icon4.json");
		this.load.atlas("extra_icon5","img/dressup/extra_icon/extra_icon5.png","img/dressup/extra_icon/extra_icon5.json");
		this.load.atlas("extra_icon6","img/dressup/extra_icon/extra_icon6.png","img/dressup/extra_icon/extra_icon6.json");

		this.load.atlas("eyes_icon","img/dressup/eyes_icon/eyes_icon.png","img/dressup/eyes_icon/eyes_icon.json");
		this.load.atlas("eyes_icon2","img/dressup/eyes_icon/eyes_icon2.png","img/dressup/eyes_icon/eyes_icon2.json");
		this.load.atlas("eyes_icon3","img/dressup/eyes_icon/eyes_icon3.png","img/dressup/eyes_icon/eyes_icon3.json");

		this.load.atlas("eyebrows_icon","img/dressup/eyebrows_icon/eyebrows_icon.png","img/dressup/eyebrows_icon/eyebrows_icon.json");
		this.load.atlas("eyebrows_icon2","img/dressup/eyebrows_icon/eyebrows_icon2.png","img/dressup/eyebrows_icon/eyebrows_icon2.json");
		this.load.atlas("eyebrows_icon3","img/dressup/eyebrows_icon/eyebrows_icon3.png","img/dressup/eyebrows_icon/eyebrows_icon3.json");

		this.load.atlas("hair01_icon","img/dressup/hair_icon/hair_icon.png","img/dressup/hair_icon/hair_icon.json");
		this.load.atlas("hair02_icon","img/dressup/hair_icon/hair_icon2.png","img/dressup/hair_icon/hair_icon2.json");
		this.load.atlas("hair03_icon","img/dressup/hair_icon/hair_icon3.png","img/dressup/hair_icon/hair_icon3.json");
		this.load.atlas("hair04_icon","img/dressup/hair_icon/hair_icon4.png","img/dressup/hair_icon/hair_icon4.json");
		this.load.atlas("hair05_icon","img/dressup/hair_icon/hair_icon5.png","img/dressup/hair_icon/hair_icon5.json");
		this.load.atlas("hair06_icon","img/dressup/hair_icon/hair_icon6.png","img/dressup/hair_icon/hair_icon6.json");

		this.load.atlas("lips01_icon","img/dressup/lips_icon/lips_icon.png","img/dressup/lips_icon/lips_icon.json");
		this.load.atlas("lips02_icon","img/dressup/lips_icon/lips_icon2.png","img/dressup/lips_icon/lips_icon2.json");
		this.load.atlas("lips03_icon","img/dressup/lips_icon/lips_icon3.png","img/dressup/lips_icon/lips_icon3.json");
		this.load.atlas("lips04_icon","img/dressup/lips_icon/lips_icon4.png","img/dressup/lips_icon/lips_icon4.json");
		this.load.atlas("lips05_icon","img/dressup/lips_icon/lips_icon5.png","img/dressup/lips_icon/lips_icon5.json");
		this.load.atlas("lips06_icon","img/dressup/lips_icon/lips_icon6.png","img/dressup/lips_icon/lips_icon6.json");

		this.load.atlas("shoes_icon","img/dressup/shoes_icon/shoes_icon.png","img/dressup/shoes_icon/shoes_icon.json");
		this.load.atlas("shoes_icon2","img/dressup/shoes_icon/shoes_icon2.png","img/dressup/shoes_icon/shoes_icon2.json");
		this.load.atlas("shoes_icon3","img/dressup/shoes_icon/shoes_icon3.png","img/dressup/shoes_icon/shoes_icon3.json");
		this.load.atlas("shoes_icon4","img/dressup/shoes_icon/shoes_icon4.png","img/dressup/shoes_icon/shoes_icon4.json");
		this.load.atlas("shoes_icon5","img/dressup/shoes_icon/shoes_icon5.png","img/dressup/shoes_icon/shoes_icon5.json");
		this.load.atlas("shoes_icon6","img/dressup/shoes_icon/shoes_icon6.png","img/dressup/shoes_icon/shoes_icon6.json");

		this.load.image("skincolor01_icon","img/dressup/skincolor_icon/skincolor_icon.png");
		this.load.image("skincolor02_icon","img/dressup/skincolor_icon/skincolor_icon2.png");

		this.load.atlas("socks_icon","img/dressup/socks_icon/socks_icon.png","img/dressup/socks_icon/socks_icon.json");
		this.load.atlas("socks_icon2","img/dressup/socks_icon/socks_icon2.png","img/dressup/socks_icon/socks_icon2.json");
		this.load.atlas("socks_icon3","img/dressup/socks_icon/socks_icon3.png","img/dressup/socks_icon/socks_icon3.json");
		this.load.atlas("socks_icon4","img/dressup/socks_icon/socks_icon4.png","img/dressup/socks_icon/socks_icon4.json");
		this.load.atlas("socks_icon5","img/dressup/socks_icon/socks_icon5.png","img/dressup/socks_icon/socks_icon5.json");
		this.load.atlas("socks_icon6","img/dressup/socks_icon/socks_icon6.png","img/dressup/socks_icon/socks_icon6.json");

		this.load.atlas("tops_icon","img/dressup/tops_icon/tops_icon.png","img/dressup/tops_icon/tops_icon.json");
		this.load.atlas("tops_icon2","img/dressup/tops_icon/tops_icon2.png","img/dressup/tops_icon/tops_icon2.json");
		this.load.atlas("tops_icon3","img/dressup/tops_icon/tops_icon3.png","img/dressup/tops_icon/tops_icon3.json");
		this.load.atlas("tops_icon4","img/dressup/tops_icon/tops_icon4.png","img/dressup/tops_icon/tops_icon4.json");
		this.load.atlas("tops_icon5","img/dressup/tops_icon/tops_icon5.png","img/dressup/tops_icon/tops_icon5.json");
		this.load.atlas("tops_icon6","img/dressup/tops_icon/tops_icon6.png","img/dressup/tops_icon/tops_icon6.json");

		this.load.atlas("back_btn","img/dressup/buttons/back_btn.png","img/dressup/buttons/back_btn.json");
		this.load.spritesheet("bottoms_btn","img/dressup/buttons/bottoms_btn.png",90,74,3);
		this.load.atlas("cake_btn","img/dressup/buttons/cake_btn.png","img/dressup/buttons/cake_btn.json");
		this.load.spritesheet("color_btn","img/dressup/buttons/color_btn.png",75,60,3)
		this.load.atlas("dress_btn","img/dressup/buttons/dress_btn.png","img/dressup/buttons/dress_btn.json");
		this.load.spritesheet("extra_btn","img/dressup/buttons/extra_btn.png",90,74,3);
		this.load.spritesheet("eye_btn","img/dressup/buttons/eye_btn.png",90,74,3);//
		this.load.atlas("eyebrow_btn","img/dressup/buttons/eyebrow_btn.png","img/dressup/buttons/eyebrow_btn.json");
		this.load.atlas("eyeshadow_btn","img/dressup/buttons/eyeshadow_btn.png","img/dressup/buttons/eyeshadow_btn.json");//
		this.load.spritesheet("hair_btn","img/dressup/buttons/hair_btn.png",90,74,3);//
		this.load.spritesheet("hl_btn","img/dressup/buttons/hl_btn.png",90,74,3);//
		this.load.atlas("lips_btn","img/dressup/buttons/lips_btn.png","img/dressup/buttons/lips_btn.json");//
		this.load.spritesheet("next_btn","img/dressup/buttons/next_btn.png",63,48,3);
		this.load.spritesheet("prev_btn","img/dressup/buttons/prev_btn.png",62,48,3);
		this.load.atlas("reset_btn","img/dressup/buttons/reset_btn.png","img/dressup/buttons/reset_btn.json");
		this.load.atlas("shoes_btn","img/dressup/buttons/shoes_btn.png","img/dressup/buttons/shoes_btn.json");
		this.load.atlas("show_btn","img/dressup/buttons/show_btn.png","img/dressup/buttons/show_btn.json");
		this.load.atlas("shuffle_btn","img/dressup/buttons/shuffle_btn.png","img/dressup/buttons/shuffle_btn.json");
		this.load.spritesheet("skintone_btn","img/dressup/buttons/skintone_btn.png",90,74,3);//
		this.load.spritesheet("socks_btn","img/dressup/buttons/socks_btn.png",90,74,3);
		this.load.spritesheet("tops_btn","img/dressup/buttons/tops_btn.png",90,74,3);
		this.load.spritesheet("trash_btn","img/dressup/buttons/trash_btn.png",75,60,3);
		this.load.atlas("bg_btn","img/dressup/buttons/bg_btn.png","img/dressup/buttons/bg_btn.json");


		//credits
		this.load.image("credits_text","img/credits/credits_text.png");
		this.load.image("screen_effect","img/credits/screen_effect.png");

		//buttons

		/*I use spritesheet for these buttons to have a idle,mouse over and click effect*/

		this.load.spritesheet("close_btn","img/buttons/close_btn.png",129,114,3);
		this.load.spritesheet("credits_btn","img/buttons/credits_btn.png",110,42,2);
		this.load.spritesheet("moregames_btn","img/buttons/moregames_btn.png",90,74,3);
		this.load.spritesheet("play_btn","img/buttons/play_btn.png",129,114,3);
		this.load.spritesheet("retry_btn","img/buttons/retry_btn.png",90,75,3);
		this.load.spritesheet("save_btn","img/buttons/save_btn.png",90,75,3);
		this.load.atlas("sound_btn","img/buttons/sound_btn.png","img/buttons/sound_btn.json");
		this.load.image("link_btn","img/buttons/link_btn.png");

		//loading percentage
		LoadingText = this.add.text(this.world.centerX,this.world.centerY+220,"0%",{font: "bold 100px Arial",fill: "#DD3397"});
		LoadingText.anchor.setTo(0.5,0.5);
		LoadingText.setShadow(3,3,"rgba(0,0,0,0.5)",2);

	
	},
	FileComplete: function(progress)
	{
		LoadingText.text = progress + "%";

		if(progress == 100)
		{
			//this.state.start("TitleScreen");
		}
	},
	update: function()
	{
		if(this.cache.isSoundDecoded("backgroundmusic"));
		{
			this.state.start("TitleScreen");
		}
	}
}